Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 780483 (CVE-2021-20305) - <dev-libs/nettle-3.7.2: out-of-bounds memory access in signature verification (CVE-2021-20305)
Summary: <dev-libs/nettle-3.7.2: out-of-bounds memory access in signature verification...
Status: RESOLVED FIXED
Alias: CVE-2021-20305
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://lists.lysator.liu.se/pipermai...
Whiteboard: B3 [glsa+ cve]
Keywords:
: 777615 (view as bug list)
Depends on:
Blocks:
 
Reported: 2021-04-06 01:32 UTC by John Helmert III
Modified: 2021-05-26 10:29 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Helmert III gentoo-dev Security 2021-04-06 01:32:10 UTC
CVE-2021-20305:

A flaw was found in Nettle in versions before 3.7.2, where several Nettle signature verification functions (GOST DSA, EDDSA & ECDSA) result in the Elliptic Curve Cryptography point (ECC) multiply function being called with out-of-range scalers, possibly resulting in incorrect results. This flaw allows an attacker to force an invalid signature, causing an assertion failure or possible validation. The highest threat to this vulnerability is to confidentiality, integrity, as well as system availability.


Please cleanup.
Comment 1 Thomas Deutschmann gentoo-dev Security 2021-05-25 19:57:52 UTC
New GLSA request filed.
Comment 2 Thomas Deutschmann gentoo-dev Security 2021-05-25 19:59:12 UTC
*** Bug 777615 has been marked as a duplicate of this bug. ***
Comment 3 GLSAMaker/CVETool Bot gentoo-dev 2021-05-26 10:29:23 UTC
This issue was resolved and addressed in
 GLSA 202105-31 at https://security.gentoo.org/glsa/202105-31
by GLSA coordinator Thomas Deutschmann (whissi).